Package org.globus.util

# Class I18n

java.lang.Object
org.globus.util.I18n

public class I18n extends Object
An utility class for internationalized message handling. Example usage::

     private static I18n i18n = I18n.getI18n("org.globus.resource");
     ...
     public void hello() {
        String filename = "file1";
        String msg = i18n.getMessage("noFile", new String[]{filename});
        ...
     }

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`I18n(ResourceBundle messages)`

## Method Summary

Modifier and Type
Method
Description
`static I18n`
`getI18n(String resource)`
Retrieve a I18n instance by resource name.
`static I18n`
`getI18n(String resource, ClassLoader loader)`
Retrieve a I18n instance by resource name
`String`
`getMessage(String key)`
Gets a message from resource bundle.
`String`
`getMessage(String key, Object arg)`
Gets a formatted message from resource bundle
`String`
`getMessage(String key, Object[] vars)`
Gets a formatted message from resource bundle

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### I18n

protected I18n(ResourceBundle messages)

## Method Details

### getI18n

public static I18n getI18n(String resource)
Retrieve a I18n instance by resource name.

Parameters:
  `resource` - resource name. See `ResourceBundle.getBundle()`

### getI18n

public static I18n getI18n(String resource, ClassLoader loader)
Retrieve a I18n instance by resource name

Parameters:
  `resource` - resource name. See `ResourceBundle.getBundle()`
  `loader` - the class loader to be used to load the resource. This parameter is only used initially to load the actual resource. Once the resource is loaded, this argument is ignored.

### getMessage

public String getMessage(String key) throws MissingResourceException
Gets a message from resource bundle.

Throws:
  `MissingResourceException`

### getMessage

public String getMessage(String key, Object arg) throws MissingResourceException
Gets a formatted message from resource bundle

Throws:
  `MissingResourceException`

### getMessage

public String getMessage(String key, Object[] vars) throws MissingResourceException
Gets a formatted message from resource bundle

Throws:
  `MissingResourceException`